/// <reference types="node" />
/// <reference types="webpack" />
import { loader } from 'webpack';
export declare type StyleResourcesFileExt = 'sass' | 'scss' | 'less';
export interface StyleResource {
    file: string;
    content: string;
}
export declare type StyleResources = ReadonlyArray<StyleResource>;
export declare type StyleResourcesInjector = (source: string | Buffer, resources: StyleResources) => string;
export interface StyleResourcesLoaderOptions {
    patterns: string | string[];
    injector: StyleResourcesInjector;
    resolveUrl: boolean;
}
export declare type StyleResourcesLoaderOriginalOptions = Partial<StyleResourcesLoaderOptions>;
declare const loader: loader.Loader;
export default loader;
