"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
function resolveImportUrl(_a) {
    var _this = this;
    var file = _a.file, content = _a.content;
    return {
        file: file,
        content: content.replace(/@import\s+(?:'([^']+)'|"([^"]+)"|([^\s"';]+))/g, function (match, single, double, unquote) {
            var absolutePath = path.resolve(path.dirname(file), single || double || unquote);
            var relativePath = path.relative(_this.context, absolutePath);
            var quote = (match.match(/['"]$/) || [''])[0];
            return "@import " + quote + relativePath + quote;
        }),
    };
}
exports.resolveImportUrl = resolveImportUrl;
//# sourceMappingURL=resolveImportUrl.js.map